'Compileroption: "-s console"
#include "sGUI\sGUI.bas"
#include once "sGUI\Arrows.bas"

screen 15,32
InitGFX

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr arrowup
arrowup= AddArrow(event,10,10,2)
GadgetOn(arrowup)

'Console öffnen für output
dim as integer ff=freefile
open cons for output as ff
print #ff,"Arrows triggern, wenn sie gehalten werden"

do
  event->xSleep(1)
  if event->GADGETMESSAGE then
    select case event->GADGETMESSAGE
      case arrowup
        'es ist nicht notwendig, den Zustand der Maustaste abzufragen
        'hier nur um zu verdeutlichen das beim Halten des ARROWS auch etwas passiert!!
        if event->LMB=HIT then  print #ff,"ArrowUP wurde angeklickt"
        if event->LMB=HOLD then  print #ff,"ArrowUP wird gehalten und triggert jetzt"
    end select
  end if
loop until event->EXITEVENT

close ff

DestroyEventHandle (event)
end
/'
function AddArrow (event as EventHandle ptr,x as integer,y as integer,d as integer) as Gadget ptr
function AddSmallArrow (event as EventHandle ptr,x as integer,y as integer,d as integer) as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
d       Richtung des Pfeilsymbols 0=links,1=rechts,2=hoch,3=runter



weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep
'/

